Axuz Developers

GET /share/{token}/metadata

Metadata legacy pro card do share page

  • Access: Public (link or signature)
  • Service: https://files-api.axuz.net

Accepted authentication

No authentication (public route, or protected by link/signature).

Estritamente filename/size_bytes/content_type. Sem uploaded_by/team_id.

Parameters

NameInTypeRequiredDescription
tokenpathstringyes

Token opaco base64url (32 bytes ≈ 43 chars) ou UUID legacy.

Responses

200

OK

NameTypeRequiredDescription
filenamestringyes
size_bytesintegeryes
content_typestringyes

429

Limite de requisições excedido.

NameTypeRequiredDescription
errorstringyes

500

Erro interno. Tente de novo com backoff; reporte o X-Request-Id.

NameTypeRequiredDescription
errorstringyes

Examples

"Try it" is turned off in this reference. Use the examples with your test credential.

curl

curl -sS -X GET 'https://files-api.axuz.net/share/TOKEN/metadata'

Node.js

const res = await fetch("https://files-api.axuz.net/share/TOKEN/metadata", {
  method: 'GET',
});
if (!res.ok) throw new Error(`HTTP ${res.status}: ${await res.text()}`);
console.log(await res.json());

Python

import os
import requests

res = requests.request(
    "GET",
    "https://files-api.axuz.net/share/TOKEN/metadata",
    timeout=30,
)
res.raise_for_status()
print(res.json())